package com.awspaas.user.apps.donenow_ctt.event;

import com.actionsoft.bpms.bpmn.engine.core.delegate.ProcessExecutionContext;
import com.actionsoft.bpms.bpmn.engine.listener.ExecuteListener;
import com.actionsoft.bpms.bpmn.engine.listener.ListenerConst;

public class contractServiceFormAfterSave extends ExecuteListener {
    public String getDescription() {
        return "合同服务表单保存后的事件--增加一条合同产品";
    }

    /**
     *执行
     * @param param
     * @throws Exception
     */
    @Override
    public void execute(ProcessExecutionContext param) throws Exception {
        String boId = param.getParameterOfString(ListenerConst.FORM_EVENT_PARAM_BOID);
        //表单ID
        String formId = param.getParameterOfString(ListenerConst.FORM_EVENT_PARAM_FORMID);
        //BO表名
        String boName = param.getParameterOfString(ListenerConst.FORM_EVENT_PARAM_BONAME);





    }
}
